sha.h File Reference

Classes for SHA-1 and SHA-2 family of message digests. More...

Go to the source code of this file.

## Classes

class | SHA1
| SHA-1 More...
class | SHA256
| implements the SHA-256 standard More...
class | SHA224
| implements the SHA-224 standard More...
class | SHA512
| implements the SHA-512 standard More...
class | SHA384
| implements the SHA-384 standard More...

## Typedefs

typedef SHA1 | SHA

## Detailed Description

Classes for SHA-1 and SHA-2 family of message digests.

Definition in file sha.h.